%define	module	Term-UI
%define name	perl-%{module}
%define	modprefix Term

%define version 0.14

%define	rel	1
%define release %mkrel %{rel}

Summary:	Term::ReadLine UI made easy
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.gz
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.1
%endif
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	perl(Log::Message::Simple)


%description
"Term::UI" is a transparent way of eliminating the overhead of having to format
a question and then validate the reply, informing the user if the answer was
not proper and re-issuing the question.

Simply give it the question you want to ask, optionally with choices the user
can pick from and a default and "Term::UI" will DWYM.

For asking a yes or no question, there's even a shortcut.

%prep
%setup -q -n %{module}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/%{modprefix}/*
%{_mandir}/*/*


%changelog
* Fri Jun 22 2007 Buchan Milne <bgmilne@mandriva.org> 0.14-1mdv2008.0
+ Revision: 42867
- Import perl-Term-UI



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.14-1mdv2007.1
- initial package
